Bug 753855 - Review Request: pslib - C-library to create PostScript files
Summary: Review Request: pslib - C-library to create PostScript files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-14 17:14 UTC by Orion Poplawski
Modified: 2012-01-06 03:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-06 03:40:20 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2011-11-14 17:14:51 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/pslib.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/pslib-0.4.5-1.fc16.src.rpm
Description:
pslib is a C-library to create PostScript files on the fly. It offers many
drawing primitives, inclusion of png and eps images and a very sophisticated
text rendering including hyphenation, kerning and ligatures. It can read
external Type1 fonts and embed them into the output file. It supports pdfmarks
which makes it in combination with ghostscript's pdfwriter an alternative for
libraries creating PDF.

Comment 1 Parag AN(पराग) 2011-11-16 06:29:05 UTC
Review:-

+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3518017
+ rpmlint on package gave
pslib.src: W: spelling-error %description -l en_US png -> pg, ping, pang
pslib.src: W: spelling-error %description -l en_US eps -> esp, rps, es
pslib.src: W: spelling-error %description -l en_US kerning -> keening, kenning, Kettering
pslib.src: W: spelling-error %description -l en_US pdfmarks -> pockmarks
pslib.src: W: spelling-error %description -l en_US ghostscript's -> ghost script's, ghost-script's, postscript's
pslib.src: W: spelling-error %description -l en_US pdfwriter -> typewriter
pslib.x86_64: W: spelling-error %description -l en_US png -> pg, ping, pang
pslib.x86_64: W: spelling-error %description -l en_US eps -> esp, rps, es
pslib.x86_64: W: spelling-error %description -l en_US kerning -> keening, kenning, Kettering
pslib.x86_64: W: spelling-error %description -l en_US pdfmarks -> pockmarks
pslib.x86_64: W: spelling-error %description -l en_US ghostscript's -> ghost script's, ghost-script's, postscript's
pslib.x86_64: W: spelling-error %description -l en_US pdfwriter -> typewriter
pslib.x86_64: W: shared-lib-calls-exit /usr/lib64/libps.so.0.4.5 exit@GLIBC_2.2.5
pslib.x86_64: W: spurious-executable-perm /usr/share/doc/pslib-0.4.5/ChangeLog
pslib.x86_64: E: incorrect-fsf-address /usr/share/doc/pslib-0.4.5/COPYING
pslib.x86_64: W: file-not-utf8 /usr/share/doc/pslib-0.4.5/AUTHORS
pslib.x86_64: E: zero-length /usr/share/doc/pslib-0.4.5/NEWS
pslib-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 16 warnings.

+ source match with upstream source as (sha1sum)
2ad904b650b7d55b7c12be0c99f77073770ece56  pslib-0.4.5.tar.gz
2ad904b650b7d55b7c12be0c99f77073770ece56  ../SOURCES/pslib-0.4.5.tar.gz

+ Package :pslib-0.4.5-1.fc17.x86_64
Provides: libps.so.0()(64bit)
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.11)(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libc.so.6(GLIBC_2.4)(64bit) libc.so.6(GLIBC_2.7)(64bit) libjpeg.so.62()(64bit) libjpeg.so.62(LIBJPEG_6.2)(64bit) libpng15.so.15()(64bit) libpng15.so.15(PNG15_0)(64bit) libtiff.so.3()(64bit) rtld(GNU_HASH)

Package : pslib-devel-0.4.5-1.fc17.x86_64
Provides: pkgconfig(libps) = 0.4.5
Requires: /usr/bin/pkg-config libps.so.0()(64bit)

+ libps.pc file is present.


Suggestions:
1) remove the zero-length file NEWS
2) for the incorrect-fsf-address, you can contact upstream and ask them to correct in COPYING file
3) AUTHORS is not a utf8 file, you can make it utf8 as given at http://fedoraproject.org/wiki/Packaging_tricks#Convert_encoding_to_UTF-8
4) To remove executable permissions on ChangeLog use http://fedoraproject.org/wiki/Packaging_tricks#Exec_permission
5) you don't need to clean buildroot in %install
6) I think license is
LGPLv2+ and MPL and MIT

See http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

Comment 2 Orion Poplawski 2011-11-16 16:38:03 UTC
Looks like it should be LGPLv2+ and MPLv1.0 and MIT (although I think the only MIT source is bmp.* which isn't currently being built).  Now, MPLv1.0 is listed and GPL incompatible, does that also apply to the LGPL?

I'll report the issue with COPYING.

* Wed Nov 16 2011 Orion Poplawski <orion@cora.nwra.com> - 0.4.5-2
- Fix encoding
- Fix permissions
- Fix license tag

Comment 3 Parag AN(पराग) 2011-11-17 09:18:41 UTC
I can see libps library is also getting built using bmp.c file. also post the newer modified package links. 

Regarding license you can ask to legal list for clarification.

Comment 4 Orion Poplawski 2011-11-18 21:40:08 UTC
Ah, you are correct about bmp.c.  I've sent a message to legal.

Spec URL: http://www.cora.nwra.com/~orion/fedora/pslib.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/pslib-0.4.5-2.fc16.src.rpm

Comment 5 Orion Poplawski 2011-12-09 21:40:11 UTC
Never got a response to my post in legal.  I guess I don't have any concerns, but if you do we should block FE-LEGAL I think.

Comment 6 Tom "spot" Callaway 2012-01-05 17:36:12 UTC
No real concern here. Lifting FE-Legal.

Comment 7 Parag AN(पराग) 2012-01-06 02:51:56 UTC
Package APPROVED.

Comment 8 Orion Poplawski 2012-01-06 03:03:19 UTC
New Package SCM Request
=======================
Package Name: pslib
Short Description: C-library to create PostScript files
Owners: orion
Branches: f16 f15 el6 el5
InitialCC:

Comment 9 Gwyn Ciesla 2012-01-06 03:06:10 UTC
Git done (by process-git-requests).

Comment 10 Orion Poplawski 2012-01-06 03:40:20 UTC
Checked in and built.  Thanks everyone.


Note You need to log in before you can comment on or make changes to this bug.